ELF_KIND(3)

NAME
elf_kind - determine ELF file type

SYNOPSIS
libelf
#include <libelf.h>
Elf_Kind
elf_kind(Elf *elf);

DESCRIPTION
The elf_kind() function identifies the kind of file associated with its argument elf. The argument elf is allowed to be NULL.

RETURN VALUES
The elf_kind() function returns one of the following values:

ELF_K_AR
    The file associated with argument elf is an archive.

ELF_K_ELF
    The file associated with argument elf is an ELF file.

ELF_K_NONE
    The argument elf was NULL, or the ELF library could not determine the type of the file associated with argument elf, or an error occurred when processing.

SEE ALSO
elf(3), elf_begin(3), elf_getident(3), gelf(3)